Download it now!
Bug 130955 - VIEWING DOCX Chart custom label text multiplied
Summary: VIEWING DOCX Chart custom label text multiplied
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-02-26 12:13 UTC by NISZ LibreOffice Team
Modified: 2020-03-04 14:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (25.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-02-26 12:15 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (76.41 KB, image/png)
2020-02-26 12:17 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-26 12:13:51 UTC
Description:
Chart custom label text in DOCX documents created with Microsoft Word are multiplied when the document is opened in LibreOffice Writer 7.0.0.0.alpha0+.

Steps to Reproduce:
1.	Open the attached DOCX file in LibreOffice Writer.
2.	Open a copy in Microsoft Word.
3.	Compare the original file opened in Writer and Word.
4.	Notice, that chart third column custom label text are on the first and second column too.


Actual Results:
Chart custom label text are multiplied when the document is opened in LibreOffice Writer 7.0.0.0.alpha0+.

Expected Results:
Chart custom label text should be only at the original place when the document is opened in LibreOffice Writer 7.0.0.0.alpha0+, like in Microsoft Word.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Verzió: 7.0.0.0.alpha0+ (x64)
Build az.: cf96cb11e2a46c452a273ded1c66c556118983cf
CPU szálak: 4; OS: Windows 10.0 Build 17134; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-02-26 12:15:52 UTC
Created attachment 158200 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2020-02-26 12:17:19 UTC
Created attachment 158201 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 NISZ LibreOffice Team 2020-02-26 12:17:37 UTC
Bibisected using bibisect-win64-6.5 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=7d2c7e7af04d9604d86d2d605ef95b9abb10966c
author: Tamas Bunth
committer: Tamás Bunth
summary: tdf#123206 Store custom label as chart:data-label
Comment 4 Commit Notification 2020-02-29 17:04:12 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ff0f684393b56182e01614d23d4ef836338d3517

tdf#130955 chart export: fix repeated custom labels

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-03-02 09:38:35 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 950e1aec0a984ce40a5038331f491272b51d41fa
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 6 Commit Notification 2020-03-02 13:37:28 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/324b9e04799ba56f4f19535d2775c168b80b907c

tdf#130955 chart export: fix repeated custom labels

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-03-04 14:21:03 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/9fa1b7487cacd93c952c957ab2ab973f5624ca0d

tdf#130955 chart export: fix repeated custom labels

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.